/**
 * @brief PUT_TEXT_HERE
 * @details This file is...
 * @author username
 * @date todays_date
 * @copyright None
 * @file MockRegEdit.h
 */

#ifndef MOCKREGEDIT_H
#define MOCKREGEDIT_H


#include <stdint.h>
#include <stdbool.h>

void RegEdit_SetRegister(void *reg);
void RegEdit_ClearRegister(void *reg);
void RegEdit_SetBit(void *reg, uint8_t bit_num);
void RegEdit_ClearBit(void *reg, uint8_t bit_num);
bool RegEdit_IsBitSet(void *reg, uint8_t bit_num);

void RegEdit_OR_Num(void *reg, uint32_t num);
void RegEdit_AND_Num(void *reg, uint32_t num);

void RegEdit_SetNum(void *reg, uint32_t num);

uint8_t RegEdit_ReadReg(void *reg);

#endif //MOCKREGEDIT_H
